﻿DECLARE
	@@processName AS VARCHAR(7) = @0
	,@@userName AS VARCHAR(20) = @1

BEGIN TRY
	BEGIN TRANSACTION INSERT_LOCK
	
	IF @@processName = 'Approve'
	BEGIN
			DELETE FROM TB_T_LOCK
			WHERE LOCK_REFF = '42001' + '_' + @@userName
	END
	IF @@processName = 'Cancel'
	BEGIN
			DELETE FROM TB_T_LOCK
			WHERE LOCK_REFF = '42002' + '_' + @@userName
	END

	COMMIT TRANSACTION INSERT_LOCK
END TRY
BEGIN CATCH
	ROLLBACK TRANSACTION INSERT_LOCK
END CATCH